#!/usr/bin/env bun
import { program } from './setup'

const isCliUser = process.env.USER === 'cli'
const noArgs = process.argv.length <= 2
const isTTY = !!process.stdin.isTTY

if (isCliUser && noArgs && isTTY) {
  const { shell } = await import('./shell')
  await shell()
} else {
  program.parse()
}
